1.2

1.2

get /v1/backups/{backup_id}/filesystem-path

Description

List Filesystem path.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathbackup_id
required
Backup ID
Example : 00cd2538fbf94d12b36aabbdd607e974
stringNone
queryrestore_target_id
required
Restore target ID
Example : ca1a8e76-af49-40ea-93f8-a5989ffe138b
stringNone
querypath
required
List of filesystem backup path
Example : /
stringNone

Responses

HTTP CodeDescriptionSchema
200OKFileSystemPathListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/backups/{backup_id}/filesystem-path?restore_target_id={restore_target_id}&path={path}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "/data/_1768885200",
            "item_type": "DIR | FILE",
            "name": "data/",
            "path": "/"
        }
    ],
    "count": 1
}